# eric4.QScintilla.Lexers.LexerMakefile

Module implementing a Makefile lexer with some additional methods.

### Global Attributes

None

### Classes

LexerMakefile | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerMakefile

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerMakefile, Lexer

### Class Attributes

None

### Methods

LexerMakefile | Constructor
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerMakefile (Constructor)

LexerMakefile(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerMakefile.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerMakefile.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up